Ubuntu

iwlagn degrades quickly during normal wifi session

Reported by Nick Moffitt on 2010-09-05
800
This bug affects 134 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
High
Release Notes for Ubuntu
High
Unassigned
linux-firmware (Ubuntu)
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
module-init-tools (Ubuntu)
High
Tim Gardner
Maverick
High
Leann Ogasawara
Natty
High
Tim Gardner

Bug Description

I recently upgraded my lucid laptop (thinkpad X200s) to maverick. I found after the reboot that my wireless degrades after about 8 hours of ordinary use. I had 45% packet loss direct to my WAP, and this was easily cleared up by doing "modprobe -r iwlagn; modprobe iwlagn" as root.

I'd not be so quick to file this except that Paul Collins told me that he'd seen the same behavior from upstream 2.6.35.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-19-generic 2.6.35-19.28
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
Uname: Linux 2.6.35-19-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: nick 2188 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 47'
   Mixer name : 'Conexant CX20561 (Hermosa)'
   Components : 'HDA:14f15051,17aa20ff,00100000'
   Controls : 14
   Simple ctrls : 7
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7XHT22WW-1.04'
   Mixer name : 'ThinkPad EC 7XHT22WW-1.04'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Sun Sep 5 11:24:24 2010
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=093be503-d248-45fa-a7fe-77cdd35c0f5a
MachineType: LENOVO 7465CTO
ProcCmdLine: root=UUID=5237fceb-23d0-412d-84d9-b8f8b3bf28af ro quiet splash
ProcEnviron:
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.38
SourcePackage: linux
WpaSupplicantLog:

dmi.bios.date: 06/25/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 6DET55WW (3.05 )
dmi.board.name: 7465CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6DET55WW(3.05):bd06/25/2009:svnLENOVO:pn7465CTO:pvrThinkPadX200s:rvnLENOVO:rn7465CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 7465CTO
dmi.product.version: ThinkPad X200s
dmi.sys.vendor: LENOVO

Nick Moffitt (nick-moffitt) wrote :
Paul Collins (pjdc) wrote :

As Nick says, I ran into a problem with these symptoms on an X200,
with the same type of wireless adapter. I tried both 2.6.35 and
2.6.35.2 at the time. Commit 3ee378d7e0dfdb9bb342f59067d0d83cec9b766e
from 2.6.35.4, which I see is included in the most recent maverick
kernel upload (2.6.35-20.29; binaries pending publication when I
checked), doesn't look immediately inapplicable, so I'm trying out
vanilla 2.6.35.4 to see if I run into the problem again.

Kimmo Jukarainen (kimju) wrote :

After upgrading from lucid to maverick I started having similar
problems with a 5300 card. First the transfer speeds start
dropping drastically and after a while (couple of minutes)
the card stops moving any data at all.

Currently running with: linux-image-2.6.35-22-generic 2.6.35-22.3.

The dmesg is flooded with messages like:

iwlagn 0000:03:00.0: BA scd_flow 0 does not match txq_id 10

This is probably an upstream bug, as reported in these bugzillas:

https://bugzilla.kernel.org/show_bug.cgi?id=16691
http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2214

The fix seems to require updated ucode from Intel, which they
haven't released yet.

The workaround is to disable .11n functionality, by giving to
the iwlagn module the parameter "11n_disable=1".

Also, rmmod + modprobe even without the 11n_disable parameter
seems to fix the problem for few minutes, but then it starts again.

Some more information can be seen for example in:
https://bugs.archlinux.org/task/20542

In launchpad, a quick look shows that these three bugs are
probably clones of each other:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/646711
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/630748
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/604175

And maybe even these. Some of them are from older kernels, but
there seems to be reports that this ucode bug started manifesting
itself around kernel 2.6.31, but mostly since 2.6.35:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/634876
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/630714
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/602649
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/594889
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/583210
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/568756

Robbie Williamson (robbiew) wrote :

As this is still broken upstream, the only solution for Maverick is to disable 11n until the fix is available. We will create a test package for this asap

Changed in linux (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Changed in linux (Ubuntu Maverick):
milestone: none → ubuntu-10.10
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
milestone: ubuntu-10.10 → none
milestone: none → maverick-updates
Changed in ubuntu-release-notes:
importance: Undecided → High
affects: linux (Ubuntu Maverick) → linux-firmware (Ubuntu Maverick)

I've got a module-init-tools (3.12-1ubuntu2~lp630748) test package uploaded to my PPA:

https://launchpad.net/~leannogasawara/+archive/ppa/

It just implements the temporary workaround of disabling 11n functionality for the iwlagn driver. We'll obviously drop this in favor of the proper firmware update once it is available. In the mean time, could those affected please test the package from my PPA and let us know your results. Thanks in advance.

Changed in module-init-tools (Ubuntu Maverick):
assignee: nobody → Leann Ogasawara (leannogasawara)
importance: Undecided → High
milestone: none → ubuntu-10.10
status: New → In Progress

I had sabdfl test the PPA and he's reported the following positive test results:

"I can confirm that puts the right options into modprobe.d and the network seems stable after rebooting with it. +1 from me. Thanks!"

Robbie Williamson (robbiew) wrote :

As this is a simple module option workaround to disable 11n for the intel iwlagn module, which
 a) isn't a commonly used wireless network at the moment (but growing)
 b) doesn't seem to be working well on 11n networks anyway
 c) a proper fix won't be available until post-release
I approved for upload.

Changed in module-init-tools (Ubuntu Maverick):
status: In Progress → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package module-init-tools - 3.12-1ubuntu2

---------------
module-init-tools (3.12-1ubuntu2) maverick; urgency=low

  * Temporarily disable 11n functionality for iwlagn driver. Intel is
    actively working to get this properly fixed up in the firmware. This
    workaround should be reverted once updated firmware is available.
    LP: #630748
 -- Leann Ogasawara <email address hidden> Thu, 30 Sep 2010 14:47:34 -0700

Changed in module-init-tools (Ubuntu Maverick):
status: Confirmed → Fix Released
Jonathan Davies (jpds) wrote :
Changed in ubuntu-release-notes:
status: New → Fix Released
Zach (zivester) wrote :

For those of us using iwlagn in 10.04, where can we track the progress of the Intel fix so we know when we can safely upgrade?

patmalcolm91 (patmalcolm91) wrote :

I'm experiencing the same issue, but the workaround does not fix the issue for me. I have all the latest updates, including module-init-tools 3.12-1ubuntu2 and this still occurs. manually disabling n also does not help. I've not had this problem at all up until about a week ago.

Mike Waters (mike-waters) wrote :

I'm somewhat new to using Ubuntu as my dedicated OS, so please excuse my ignorance here:
My HP EliteBook 2730p has the Intel 5100 card installed, and this workaround is keeping me from connecting to 802.11n networks. Does the issue that the workaround sidesteps affect the 5100 in addition to the 5300? If not, is there anyway to disable the workaround? Finally, if the 5100 and the 5300 share the same issue, when the solution is released, how will it be distributed?

Thanks in advance,
Mike

Kimmo Jukarainen (kimju) wrote :

According to the upstream bugzilla and other bug trackers, this firmware (ucode) bugs seems to affect at least 5100, 5300, 6100 and 6300 cards. And as Intel has just released an experimental firmware for 6050 series cards a few days ago, probably that too.

So this might affect all cards supported by the iwlagn-driver (and sharing the same firmware) as well.

kennymchansen (kennymchansen) wrote :

I have no idea if this is related, but after upgrading to Maverick, my 4965AGN wireless adapter will not reconnect after resuming from sleep mode.

The Wlan indicator is off, and i cannot enable wireless in the network manager. I am on a Lenovo 3000 v200 and i have not had this problem before (i have been using Ubuntu for three years now)

kennymchansen (kennymchansen) wrote :

when running
$ rfkill list all
i get:
0: acer-wireless: Wireless LAN
    Soft blocked: yes
    Hard blocked: no
2: phy0: Wireless LAN
    Soft blocked: no
    Hard blocked: yes
6: hci0: Bluetooth
    Soft blocked: no
    Hard blocked: no

When running:

$ rfkill unblock 0

I can enable wifi again.

Any idea why this is occuring, and what I can do to fix it permanently?

Ole Jon Bjørkum (oj88) wrote :

I am using Lucid and 802.11n is working great with iwlagn (same speed as in Windows, more than 3 times faster than 802.11g). Is Lucid using an older driver or the same? I tried Maverick from a USB pen and removed the workaround and 802.11n worked as in Lucid. I didn't check if the speed degraded...

When Intel release a fix, will it be available in Maverick or do we have to wait for Ubuntu 11.04...? (as with a lot of drivers and software that gets better right after a release)

Changed in linux-firmware (Ubuntu Natty):
milestone: maverick-updates → natty-alpha-1
incogneato (incogneato) wrote :

I'm not sure how to read this site. At the top, it says Fix Released, tracked in Natty, it says maverick updates. Some comments say it was fixed, some say it was fixed in Natty, some say Package X has the fix. I updated Ubuntu today and I still can't connect to my router when it is set to Wireless N (but works fine on Wireless G or on Windows).

Can anyone shed some light? This is confusing. (I'm using Ubuntu 10.10 amd64, product: Ultimate N WiFi Link 5300)

the bug that wifi degrades quickly (what this bug is about) was fixed by temporarily disabling 802.11n wireless connectivity. temporarily, because intel are apparently at working fixing the problem in the wireless chip's firmware. until they release their bugfix, wireless n will remain disabled.

On 20 October 2010 11:21, Christoph Buchner <email address hidden> wrote:
<snip>
> because intel are apparently at working fixing the problem in the
> wireless chip's firmware. until they release their bugfix, wireless n
> will remain disabled.

What do you mean firmware? You mean they are fixing their driver? If
it was a firmware issue, then it would mean that to get a fix you
would need to buy a new network card/new laptop with updated chipset
firmware to get the fix.

It's obviously not a firmware issue, as wireless N works flawlessly on
Windows with the same chipset. But it is a bit of a bummer that we
have to put up with disabled wireless n. In fact, by doing that, it's
making it worse for Ubuntu users, because I did at least have working
wireless N in Ubuntu 10.04, and yeah, it could degrade, but it was
intermittent and to be honest I didn't really notice that much. Now
when I get an enforced disable from Canonical, I *do* notice that
speeds are slower cause im only running G.

Wouldn't it have been better to give us the choice, simply by doing
nothing and just publishing in the 10.10 release notes that there was
a driver issue and Intel werre working on it? What is the argument
for actively disabling 802.11n? I could have quite happily
re-configured my router and laptop so that I only connected to
wireless G if I was that bothered about the N degrading.

fishe (borg-mj) wrote :

Andrew, the issue IS listed in the release notes. As to the firmware, the intel driver loads the firmware on startup, so you do not need to change the hardware.

Scott Kitterman (kitterman) wrote :

On Wednesday, October 20, 2010 05:58:14 am you wrote:
> Wouldn't it have been better to give us the choice, simply by doing
> nothing and just publishing in the 10.10 release notes that there was
> a driver issue and Intel werre working on it? What is the argument
> for actively disabling 802.11n? I could have quite happily
> re-configured my router and laptop so that I only connected to
> wireless G if I was that bothered about the N degrading.

No, because the degradation wasn't limited to N connections. All users of
iwlagn were affected, so as unfortunate as it was, disabling N until a proper
fix available was the least bad option available.

Zach (zivester) wrote :

Does this affect 4965AGN cards on Maverick?

Scott Kitterman (kitterman) wrote :

As I understand it, it affects any card that uses the iwlagn driver (I think yes).

Josh Hill (ingenium) wrote :

Is there a reason why the firmware from Lucid can't be used, since it didn't have this problem?

According to the packages (and the modification times of the files within), the firmware hasn't changed for at least 1 year.

there was a commit around two days ago in the iwlwifi git that maybe will fix this problem, see here:
http://git.kernel.org/?p=linux/kernel/git/iwlwifi/iwlwifi-2.6.git;a=commit;h=1c3a1973b2d7c46c886d243367dcc5988a4ef704
maybe it's related, maybe not, i found it searching a fix for the iwl3945 slow throughput.

Delyan Kalchev (delyank) wrote :
Download full text (4.1 KiB)

I doubt it since it's not Intel specific issue. It's more general. The
proposed fix here or some similar should be applied to the released
kernels otherwise with each kernel update one will always have to
apply it manually again and again. That's to say the kernel
development team should be notified and they decide on this issue.

On Mon, Nov 1, 2010 at 1:24 AM, Giuliano Paolo Brunetti
<email address hidden> wrote:
> there was a commit around two days ago in the iwlwifi git that maybe will fix this problem, see here:
> http://git.kernel.org/?p=linux/kernel/git/iwlwifi/iwlwifi-2.6.git;a=commit;h=1c3a1973b2d7c46c886d243367dcc5988a4ef704
> maybe it's related, maybe not, i found it searching a fix for the iwl3945 slow throughput.
>
> --
> iwlagn degrades quickly during normal wifi session
> https://bugs.launchpad.net/bugs/630748
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Unknown
> Status in Release Notes for Ubuntu: Fix Released
> Status in “linux-firmware” package in Ubuntu: Confirmed
> Status in “module-init-tools” package in Ubuntu: Fix Released
> Status in “linux-firmware” source package in Maverick: Confirmed
> Status in “module-init-tools” source package in Maverick: Fix Released
> Status in “linux-firmware” source package in Natty: Confirmed
> Status in “module-init-tools” source package in Natty: Fix Released
>
> Bug description:
> I recently upgraded my lucid laptop (thinkpad X200s) to maverick.  I found after the reboot that my wireless degrades after about 8 hours of ordinary use.  I had 45% packet loss direct to my WAP, and this was easily cleared up by doing "modprobe -r iwlagn; modprobe iwlagn" as root.
>
> I'd not be so quick to file this except that Paul Collins told me that he'd seen the same behavior from upstream 2.6.35.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: linux-image-2.6.35-19-generic 2.6.35-19.28
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
>  **** List of CAPTURE Hardware Devices ****
>  card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> AudioDevicesInUse:
>  USER        PID ACCESS COMMAND
>  /dev/snd/controlC0:  nick       2188 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
>  Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 47'
>   Mixer name   : 'Conexant CX20561 (Hermosa)'
>   Components   : 'HDA:14f15051,17aa20ff,00100000'
>   Controls      : 14
>   Simple ctrls  : 7
> Card29.Amixer.info:
>  Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7XHT22WW-1.04'
>   Mixer name   : 'ThinkPad EC 7XHT22WW-1.04'
>   Components   : ''
>   Controls      : 1
>   Simple ctrls  : 1
> Card29.Amixer.values:
>  Simple mixer control 'Console',0
>   Capabilities: pswitch pswitch-joined penum
>   Playback channels: Mono
>   Mono: Playback [on]
> Date: Sun Sep  5 11:24:24 2010
> EcryptfsInUse: Yes
> ...

Read more...

Delyan Kalchev (delyank) wrote :

Oops, sorry! The last post wasn't meant for here.

futurefx (force) wrote :

What is status of this bug, is it fixed. I have 4965AGN and WRT160NL and 11n usage is practically impossible because of this bug and in g mode then it sometimes really degrades like slug. Worst is that i cannot use other cards because of horrible HP bios is blocking.

I have the same exact issue in 10.4, with kernel 2.6.32-25-generic. Desperate for an update for progress on intel's firmware fixes. I'm not eligible for the maverick module-init-tools fix so I disabled n on my router. Not a pleasant solution because throughput is much worse than I'm used to with n.

Ole Jon Bjørkum (oj88) wrote :

Any news on this? I want to upgrade to Maverick, but not as long as the iwlagn performs worse than on Lucid. I run 802.11n on Lucid with great speed and no problems...

git11-2.6.36

commit 822395b591db32ad3cf8a5b57b0fe30fb8d12c37
Author: Don Fry <email address hidden>
Date: Sat Oct 23 09:02:50 2010 -0700

    iwlwifi: quiet a noisy printk

    Timing issues in microcode for some devices can cause a compressed BA to
    be sent to the driver prior to returning any a-MPDU notification.
    Traces show RTS-CTS is exchanged and then the timer fires which causes an
    empty BA to be sent which acknowledges nothing. This results in a noisy
    printk. Only print the message if the bitmap is non-zero.

    Signed-off-by: Don Fry <email address hidden>
    Signed-off-by: Wey-Yi Guy <email address hidden>
    Signed-off-by: John W. Linville <email address hidden>

Andreas Nilsson (andrnils) wrote :

I have N-6300 chip in a Lenovo T510, and I have great problems with the wlan even g mode ( no n available to test ). Will the disabling of n help this situation as well ( seems unlikely to me )?

The chip was working just fine in FreeBSD :/

There are no errors logged to dmesg. The network just goes down for 20-30 seconds during load. Three times it has even caused my ap to "crash".

Also, which ucode file is used for the 6300?

Jesper Larsen (knorr) wrote :

I have an Intel Advanced-N 6200 card. I have re enabled n support and have normal throughput/packet loss on both g and n connection. I guess this bug is not affecting all cards with the iwlagn driver. This is on a fully updated natty installation.

Download full text (3.7 KiB)

Interesting what file did you change? I'll try again in Maverick.

~Brett
On Nov 22, 2010 9:16 AM, "Jesper Larsen" <email address hidden> wrote:
> I have an Intel Advanced-N 6200 card. I have re enabled n support and
> have normal throughput/packet loss on both g and n connection. I guess
> this bug is not affecting all cards with the iwlagn driver. This is on a
> fully updated natty installation.
>
> --
> iwlagn degrades quickly during normal wifi session
> https://bugs.launchpad.net/bugs/630748
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Unknown
> Status in Release Notes for Ubuntu: Fix Released
> Status in “linux-firmware” package in Ubuntu: Confirmed
> Status in “module-init-tools” package in Ubuntu: Fix Released
> Status in “linux-firmware” source package in Maverick: Confirmed
> Status in “module-init-tools” source package in Maverick: Fix Released
> Status in “linux-firmware” source package in Natty: Confirmed
> Status in “module-init-tools” source package in Natty: Fix Released
>
> Bug description:
> I recently upgraded my lucid laptop (thinkpad X200s) to maverick. I found
after the reboot that my wireless degrades after about 8 hours of ordinary
use. I had 45% packet loss direct to my WAP, and this was easily cleared up
by doing "modprobe -r iwlagn; modprobe iwlagn" as root.
>
> I'd not be so quick to file this except that Paul Collins told me that
he'd seen the same behavior from upstream 2.6.35.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: linux-image-2.6.35-19-generic 2.6.35-19.28
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: nick 2188 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 47'
> Mixer name : 'Conexant CX20561 (Hermosa)'
> Components : 'HDA:14f15051,17aa20ff,00100000'
> Controls : 14
> Simple ctrls : 7
> Card29.Amixer.info:
> Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw
7XHT22WW-1.04'
> Mixer name : 'ThinkPad EC 7XHT22WW-1.04'
> Components : ''
> Controls : 1
> Simple ctrls : 1
> Card29.Amixer.values:
> Simple mixer control 'Console',0
> Capabilities: pswitch pswitch-joined penum
> Playback channels: Mono
> Mono: Playback [on]
> Date: Sun Sep 5 11:24:24 2010
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=093be503-d248-45fa-a7fe-77cdd35c0f5a
> MachineType: LENOVO 7465CTO
> ProcCmdLine: root=UUID=5237fceb-23d0-412d-84d9-b8f8b3bf28af ro quiet
splash
> ProcEnviron:
> LC_COLLATE=C
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> RelatedPackageVersions: linux-firmware 1.38
> SourcePackage: linux
> WpaSupplicantLog:
>
> dmi.bios.date: 06/25/2009
> dmi.bios.vendor: LE...

Read more...

Jesper Larsen (knorr) wrote :

I changed /etc/modprobe.d/intel-5300-iwlagn-disable11n.conf (Just put a 0 instead of a 1)

Michael (mig000) wrote :

Intel releases experimental firmware for the 1000 and 6050 cards (http://intellinuxwireless.org/?n=experimental). Is there any support (or plan for support) to use these or do I have to compile the whole kernel on my own?

If not, how difficult would be to provide a DKMS package for modules using experimental firmware?

jsmm (jsmm) wrote :

Hi,

Same problem here on a Thinkpad X201 with Intel Advanced-N 6200 and Ubuntu 10.10.

I am not a very experienced Ubuntu user, by the way, and I don't quite get why when I try to install linux-backports-modules-wireless-maverick-generic, I get a message saying it depends on linux-backports-modules-wireless-2.6.35-23-generic but it is not installable. If and when it becomes available, will it be this package the one to include the fix for this bug?

Thanks for your help.

Changed in linux-firmware (Ubuntu Natty):
milestone: natty-alpha-1 → natty-alpha-2

Is there not any chance of a real fix (for 5100 AGN in my case) coming for 10.10?

Changed in linux:
status: Unknown → Confirmed
Martin Pitt (pitti) on 2011-01-25
Changed in linux-firmware (Ubuntu Natty):
milestone: natty-alpha-2 → ubuntu-11.04-beta
Changed in linux:
importance: Unknown → High
tags: added: regression-release
removed: regression-potential
Tim Gardner (timg-tpi) on 2011-03-28
Changed in module-init-tools (Ubuntu Natty):
assignee: Leann Ogasawara (leannogasawara) → Tim Gardner (timg-tpi)
milestone: ubuntu-10.10 → none
status: Fix Released → In Progress
Changed in module-init-tools (Ubuntu Natty):
milestone: none → ubuntu-11.04-beta-2
Tim Gardner (timg-tpi) on 2011-03-29
Changed in module-init-tools (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in module-init-tools (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in linux-firmware (Ubuntu Natty):
milestone: ubuntu-11.04-beta-1 → ubuntu-11.04-beta-2
32 comments hidden view all 112 comments
Tim Gardner (timg-tpi) wrote :

This isn't likely to get fixed for legacy devices iwl3945 or iwl4965. Marking "Won't Fix" for Natty/Maverick

Changed in linux-firmware (Ubuntu Natty):
importance: High → Undecided
milestone: ubuntu-11.04-beta-2 → none
status: Confirmed → Won't Fix
Changed in linux-firmware (Ubuntu Maverick):
assignee: Canonical Kernel Team (canonical-kernel-team) → nobody
importance: High → Undecided
milestone: maverick-updates → none
status: Confirmed → Won't Fix
Changed in linux-firmware (Ubuntu Natty):
assignee: Canonical Kernel Team (canonical-kernel-team) → nobody
Changed in linux-firmware (Ubuntu):
assignee: Canonical Kernel Team (canonical-kernel-team) → nobody
status: Confirmed → Won't Fix
Peshko R. (peshko-us) wrote :

Is this going to be fixed for 5100 in Maverick? And what I mean by fix, I mean not disabling 'n', but fixing it...

Tim Gardner (timg-tpi) wrote :

Peshko - you'll have to install one of the Maverick linux-backports-modules compat-wireless packages, then comment out the options line in /etc/modprobe.d/intel-5300-iwlagn-disable11n.conf

Peshko R. (peshko-us) wrote :

Thanks Tim! One last question, is this going to be the name of the file since my card is 5100? Where can I download the package from?

Thanks again!

Alexander Hall (compuguy1088) wrote :

Tim,

Then why in your patch change notes you state "Support for 4965 is still
contained in the iwlagn driver even though considered a legacy device.
Intel affirms 802.11n should work."?

Thanks,

Alex

On Mon, 2011-04-04 at 19:39 +0000, Tim Gardner wrote:
> This isn't likely to get fixed for legacy devices iwl3945 or iwl4965.
> Marking "Won't Fix" for Natty/Maverick
>
> ** Changed in: linux-firmware (Ubuntu Natty)
> Importance: High => Undecided
>
> ** Changed in: linux-firmware (Ubuntu Natty)
> Status: Confirmed => Won't Fix
>
> ** Changed in: linux-firmware (Ubuntu Natty)
> Milestone: ubuntu-11.04-beta-2 => None
>
> ** Changed in: linux-firmware (Ubuntu Maverick)
> Importance: High => Undecided
>
> ** Changed in: linux-firmware (Ubuntu Maverick)
> Status: Confirmed => Won't Fix
>
> ** Changed in: linux-firmware (Ubuntu Maverick)
> Milestone: maverick-updates => None
>
> ** Changed in: linux-firmware (Ubuntu Maverick)
> Assignee: Canonical Kernel Team (canonical-kernel-team) => (unassigned)
>
> ** Changed in: linux-firmware (Ubuntu Natty)
> Assignee: Canonical Kernel Team (canonical-kernel-team) => (unassigned)
>
> ** Changed in: linux-firmware (Ubuntu)
> Status: Confirmed => Won't Fix
>
> ** Changed in: linux-firmware (Ubuntu)
> Assignee: Canonical Kernel Team (canonical-kernel-team) => (unassigned)
>

Andrew Henry (adhenry) wrote :

"Support for 4965 is still contained in the iwlagn
    driver even though considered a legacy device. Intel affirms
    802.11n should work. iwl3945 is no longer supported and will never
    have a functional 802.11n mode."

I don't understand this comment either and agree with Alexander Hall; It sounds like 4965 should get working 802.11n in patch. Another point is that 3945 does not have hardware support for 802.11n, it only supports 802.11g.

Tim Gardner (timg-tpi) wrote :

Alexander, Andrew - I removed the 802.11n exclusion parameter for Natty on the advice of the primary Intel wireless developer. She said she believes the issues with 802.11n on the 4965 part have been fixed. Note that there is only _one_ driver that services all Intel wireless parts (except for 3945), so the 802.11n parameter affected 100/103/4K/5K and 6K parts, all of which have different firmware and varying levels of 802.11n support. If some of these parts prove problematic wrt N support, then I'll look at enabling N exclusion by default within the kernel for only the parts that exhibit problems.

dennis1200 (dennis-fiser) wrote :

Could somebody report back on 4965 performance in Natty? Thanks!

Stephen Thorne (jerub) wrote :

I'm running an X200s, with an Intel 5300 AGN, on natty 11.04, with module-init-tools, 3.12-1ubuntu6, which is 1 revision after the version in which this problem is supposedly fixed.

I cannot sustain a download for more than a few seconds without the wireless crashing and needing to either a) wait for it to restart, or b) modprobe -r iwlagn; modprobe iwlagn; to get wireless going again.

A workaround is mentioned above, but I was unable to discern exactly what the workaround was, there was some discussion about the correct options and how to set that up. What is the workaround?

How do we re-open the bug, because the bug is still present in versions later than the version that it is supposedly fixed in.

Stephen Thorne (jerub) wrote :

Discovered which workaround works:
in /etc/modprobe.d/iwlagn.conf
options iwlagn 11n_disable50=1 11n_disable=1

Prior to using that workaround my wireless would crash almost immediately when I attempted to do anything more than very low speed web browsing, requiring a modprobe -r/modprobe of iwlangn. This is on natty 11.04 with module-init-tools 3.12-1ubuntu6

Stephen Thorne (jerub) wrote :

jjohansen on #ubuntu-kernel told me to post my version numbers here for the known broken revisions:

Linux pearl 2.6.38-8-generic-pae #42-Ubuntu SMP Mon Apr 11 05:17:09 UTC 2011 i686 i686 i386 GNU/Linux

These are the relevent package versions.

ii module-init-tools 3.12-1ubuntu6 tools for managing Linux kernel modules
ii linux-image-2.6.38-8-generic-pae 2.6.38-8.42 Linux kernel image for version 2.6.38 on x86
ii linux-firmware 1.50 Firmware for Linux kernel drivers

I was also asked to run "apport-collect 630748" but because this ticket has been marked as closed and has not been reopened yet, I cannot do that.

poet_imp (paul-lemmons) wrote :

Ok, I have upgraded my T61 laptop to Natty. I am 4 days before GA but I expect that this close to GA it will have what we see on Thursday. So, if I wanted to test with a 4965 to see if it works or not with 802.11n, what would I need to do? I can say that when I tried it "out of the box" it did not work.

dennis1200 (dennis-fiser) wrote :

I've installed 11.04 on a separate partition and with my 4965 card I seem to be running just fine in N mode (by default, out-of-the-box). I installed a few hundred megs of updates with no trouble other than a couple few second pauses (but that may well be more due to the repos than my connection). I then opened the latest ubuntu-beta torrent and had absolutely no drop-off in connection. My router's status page indicates I'm using 802.11n. Hooray! So 4965 seems to not be on the blocklist, and at least in my hardware setup is functioning normally.
I'm running:
linux-headers-2.6.38-8-generic 2.6.38-8.42 on x86
linux-firmware 1.52
Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61) [lspci output]

James Sams (sams-james) wrote :

I just upgraded from 10.04 to 10.10 and then 11.04 and am experiencing this problem. Wireless was dropping out every couple minutes between rmmod/modprobe and these were showing up in dmesg:

[ 129.176839] iwlagn 0000:03:00.0: low ack count detected, restart firmware
[ 129.176844] iwlagn 0000:03:00.0: On demand firmware reload
[ 129.213019] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
[ 129.213031] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
[ 136.414843] iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = 2
[ 143.888644] iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = 1
[ 149.621100] iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = 0
[ 157.771680] iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = 0
[ 163.802575] iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = 0
[ 170.867125] iwlagn 0000:03:00.0: iwlagn_tx_agg_start on ra = 00:1e:e5:9e:0a:60 tid = 0
[ 184.239634] iwlagn 0000:03:00.0: low ack count detected, restart firmware
[ 184.239639] iwlagn 0000:03:00.0: On demand firmware reload
[ 184.271897] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
[ 184.271903] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
[ 188.209013] iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = 1
[ 192.885524] iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = 3
[ 198.425048] iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = 1
[ 203.890479] iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = 1
[ 212.295429] iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = 2
[ 225.130290] iwlagn 0000:03:00.0: iwlagn_tx_agg_start on ra = 00:1e:e5:9e:0a:60 tid = 0
[ 255.169132] iwlagn 0000:03:00.0: low ack count detected, restart firmware
[ 255.169137] iwlagn 0000:03:00.0: On demand firmware reload
[ 255.201737] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
[ 255.201743] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19

lspci gives this as my wireless controller:
03:00.0 Network controller: Intel Corporation Ultimate N WiFi Link 5300

Annoyed because I specifically did not upgrade to 10.10 to avoid this bug and thought it was fixed. Only it isn't.

I observe the same behaviour as James Sams, same controller.

Félix (felix-rauch) wrote :

I have been using Natty for a few days now and my 802.11n card is working fine.
lspci output: Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)

3ntix (francesco-3ntini) wrote :

Me too, with natty seems working fine with N support enabled.

02:00.0 Network controller: Intel Corporation Ultimate N WiFi Link 5300

Scott Deagan (scott-deagan) wrote :

I have a Sony Vaio VPCF11S1E/B. Executing "lspci | grep -i network" produces:

02:00.0 Network controller: Intel Corporation Centrino Advanced-N 6200 (rev 35)

I am running the final release of 11.04 (all updates have been applied).

WiFi network functionality is unreliable, this is especially apparent when streaming (watching YouTube) or trying to download large files (anything around the 1GB mark). Everything starts off fine, but within minutes the download (or stream) will grind to a halt. I have tried stream and downloading the same files when I boot into Windows 7, and everything works without any problems. Also, running speedtest (http://www.speedtest.net/) the results are consistently 33% slower in 11.04 compared to Windows 7 or another laptop running 10.10 (friend's laptop). In 11.04 it "feels" like the downstream is capped at 20Mb/s.

This is a difficult problem to pin-point (for me) as initially I thought it may be the server(s) I'm downloading from or my ISP. However, after running a battery of downloads (torrents, podcasts, linux distros) and repeatedly watching YouTube clips on both Ubuntu 11.04 and Windows 7, I can confidently say that the problem lies within Ubuntu 11.04 (somewhere).

It's so annoying that I cannot continue using Ubuntu 11.04 as I can't even watch a 10 minute YouTube clip without the stream freezing within 2 or so minutes. I hope that a true fix will appear soon as I dread the thought of returning to Windows 7.

Scott Deagan (scott-deagan) wrote :

Please disregard my last comment. I discovered that the problem was my HDD - a Seagate Momentus XT "Hybrid" (which has 4GB of SSD and uses a cashing algorithm). I tried upgrading the firmware on the Momentus XT to "D25", but this only made my networking problems in 11.04 worse. Doing a clean install on a standard 5400RPM 2.5 inch HDD has solved my networking issues.

I still have problems with N networks on my HP TouchSmart tm2-1090eg. It works way better than back in 10.10, but surfing websites is still hardly possible (wasn't possible at all in 10.10 from what I observed).
My adapter:
03:00.0 Network controller: Intel Corporation Centrino Wireless-N 1000

dmesg doesn't tell me about errors, the only thing I observed while switching the card off and back on again was the following (besides all the "loading regulatory settings..."):
[12017.396071] iwlagn 0000:03:00.0: Not sending command - RF KILL
[12017.396079] iwlagn 0000:03:00.0: Error sending REPLY_RXON: enqueue_hcmd failed: -5
[12017.396085] iwlagn 0000:03:00.0: Error clearing ASSOC_MSK on BSS (-5)
[12024.730452] iwlagn 0000:03:00.0: PCI INT A disabled

Download full text (4.5 KiB)

Does it also have the "received BA when not expected" and the tid errors?

Pedro Nariyoshi

On Tue, May 10, 2011 at 5:26 PM, Frederik Möllers <<email address hidden>
> wrote:

> I still have problems with N networks on my HP TouchSmart tm2-1090eg. It
> works way better than back in 10.10, but surfing websites is still hardly
> possible (wasn't possible at all in 10.10 from what I observed).
> My adapter:
> 03:00.0 Network controller: Intel Corporation Centrino Wireless-N 1000
>
> dmesg doesn't tell me about errors, the only thing I observed while
> switching the card off and back on again was the following (besides all the
> "loading regulatory settings..."):
> [12017.396071] iwlagn 0000:03:00.0: Not sending command - RF KILL
> [12017.396079] iwlagn 0000:03:00.0: Error sending REPLY_RXON: enqueue_hcmd
> failed: -5
> [12017.396085] iwlagn 0000:03:00.0: Error clearing ASSOC_MSK on BSS (-5)
> [12024.730452] iwlagn 0000:03:00.0: PCI INT A disabled
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/630748
>
> Title:
> iwlagn degrades quickly during normal wifi session
>
> Status in The Linux Kernel:
> Confirmed
> Status in Release Notes for Ubuntu:
> Fix Released
> Status in “linux-firmware” package in Ubuntu:
> Won't Fix
> Status in “module-init-tools” package in Ubuntu:
> Fix Released
> Status in “linux-firmware” source package in Maverick:
> Won't Fix
> Status in “module-init-tools” source package in Maverick:
> Fix Released
> Status in “linux-firmware” source package in Natty:
> Won't Fix
> Status in “module-init-tools” source package in Natty:
> Fix Released
>
> Bug description:
> I recently upgraded my lucid laptop (thinkpad X200s) to maverick. I
> found after the reboot that my wireless degrades after about 8 hours
> of ordinary use. I had 45% packet loss direct to my WAP, and this was
> easily cleared up by doing "modprobe -r iwlagn; modprobe iwlagn" as
> root.
>
> I'd not be so quick to file this except that Paul Collins told me that
> he'd seen the same behavior from upstream 2.6.35.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: linux-image-2.6.35-19-generic 2.6.35-19.28
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: nick 2188 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 47'
> Mixer name : 'Conexant CX20561 (Hermosa)'
> Components : 'HDA:14f15051,17aa20ff,00100000'
> Controls : 14
> Simple ctrls : 7
> Card29.Amixer.info:
> Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30,
> fw 7XHT22WW-1.04'
> Mixer name : 'Th...

Read more...

Nothing about the "BA when not expected", but I got several of these:
iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = <number>

Where the <number> at the end of the line is either 0, 1, 2 or 7.

I don't know if this helps but I received this today. I have a Thinkpad X300 with a 4965

iwlagn 0000:03:00.0: Microcode SW error detected. Restarting 0x2000000.
iwlagn 0000:03:00.0: Loaded firmware version: 228.61.2.24
iwlagn 0000:03:00.0: Start IWL Error Log Dump:
iwlagn 0000:03:00.0: Status: 0x000213E4, count: 5
iwlagn 0000:03:00.0: Desc Time data1 data2 line
iwlagn 0000:03:00.0: NMI_INTERRUPT_WDG (0x0004) 2868405054 0x00000002 0x07430000 208
iwlagn 0000:03:00.0: pc blink1 blink2 ilink1 ilink2 hcmd
iwlagn 0000:03:00.0: 0x0046C 0x08370 0x004C2 0x006DA 0x018B8 0x239001C
iwlagn 0000:03:00.0: FH register values:
iwlagn 0000:03:00.0: FH_RSCSR_CHNL0_STTS_WPTR_REG: 0X03462700
iwlagn 0000:03:00.0: FH_RSCSR_CHNL0_RBDCB_BASE_REG: 0X003465c0
iwlagn 0000:03:00.0: FH_RSCSR_CHNL0_WPTR: 0X000000c0
iwlagn 0000:03:00.0: FH_MEM_RCSR_CHNL0_CONFIG_REG: 0X80819004
iwlagn 0000:03:00.0: FH_MEM_RSSR_SHARED_CTRL_REG: 0X0000003c
iwlagn 0000:03:00.0: FH_MEM_RSSR_RX_STATUS_REG: 0X07430000
iwlagn 0000:03:00.0: FH_MEM_RSSR_RX_ENABLE_ERR_IRQ2DRV: 0X00000000
iwlagn 0000:03:00.0: FH_TSSR_TX_STATUS_REG: 0X07ff0002
iwlagn 0000:03:00.0: FH_TSSR_TX_ERROR_REG: 0X00000000
iwlagn 0000:03:00.0: Start IWL Event Log Dump: display last 20 entries
iwlagn 0000:03:00.0: EVT_LOGT:2868203724:0x00000000:1352
iwlagn 0000:03:00.0: EVT_LOGT:2868203724:0x00000002:1353
iwlagn 0000:03:00.0: EVT_LOGT:2868204105:0x000000d4:0322
iwlagn 0000:03:00.0: EVT_LOGT:2868204413:0x00001ac3:0310
iwlagn 0000:03:00.0: EVT_LOGT:2868204497:0x00000107:0106
iwlagn 0000:03:00.0: EVT_LOGT:2868204498:0x00000000:0302
iwlagn 0000:03:00.0: EVT_LOGT:2868204523:0x000003f8:0323
iwlagn 0000:03:00.0: EVT_LOGT:2868204525:0x00000406:0367
iwlagn 0000:03:00.0: EVT_LOGT:2868204526:0x00000006:0353
iwlagn 0000:03:00.0: EVT_LOGT:2868204725:0x00000107:0106
iwlagn 0000:03:00.0: EVT_LOGT:2868204727:0x00000000:0302
iwlagn 0000:03:00.0: EVT_LOGT:2868204739:0x00002000:0350
iwlagn 0000:03:00.0: EVT_LOGT:2868204801:0x00000107:0106
iwlagn 0000:03:00.0: EVT_LOGT:2868204802:0x00000000:0302
iwlagn 0000:03:00.0: EVT_LOGT:2868205059:0x00000000:0351
iwlagn 0000:03:00.0: EVT_LOGT:2868205073:0x0239001c:0206
iwlagn 0000:03:00.0: EVT_LOGT:2868205074:0x00000001:0204
iwlagn 0000:03:00.0: EVT_LOGT:2868205077:0x00000001:0214
iwlagn 0000:03:00.0: EVT_LOGT:2868205078:0x00001110:0205
iwlagn 0000:03:00.0: EVT_LOGT:2868405057:0x00000000:0125

Eric Binette (binette) wrote :

Just to let you know that my problem is now fixed.
Didn't work in 10.10 I wasn't able to use wifi N at all.
Now with 11.04 I can use wifi G and N no problem.
I have an ACER 8735G (intel 5100)
Thank you

Scott Deagan (scott-deagan) wrote :

Looks like I spoke too soon. I am still having problems with iwlagn. I have an Intel Centrino Advanced-N 6200. The problems are intermittent: when downloading a file, the download will simply stop at some point (when downloading using Firefox 4 or wget). The same thing happens when streaming from YouTube. Here is the output of dmesg immediately after a download degrades and then grinds to a complete stop:

[ 21.313848] Console: switching to colour frame buffer device 80x30
[ 21.313868] fb0: VESA VGA frame buffer device
[ 21.339162] ppdev: user-space parallel port driver
[ 21.598087] ioremap error for 0xcef16000-0xcef17000, requested 0x10, got 0x0
[ 21.598094] ioremap error for 0xcef2a000-0xcef2b000, requested 0x10, got 0x0
[ 21.598100] ioremap error for 0xcef2a000-0xcef2b000, requested 0x10, got 0x0
[ 21.598106] ioremap error for 0xcef23000-0xcef24000, requested 0x10, got 0x0
[ 21.598112] ioremap error for 0xcef12000-0xcef13000, requested 0x10, got 0x0
[ 21.598117] ioremap error for 0xcef11000-0xcef12000, requested 0x10, got 0x0
[ 24.872770] EXT4-fs (sda6): re-mounted. Opts: errors=remount-ro,commit=0
[ 26.431902] hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.
[ 32.976889] Bluetooth: HIDP (Human Interface Emulation) ver 1.2
[ 36.873897] CE: hpet3 increased min_delta_ns to 7500 nsec
[ 36.873904] CE: hpet3 increased min_delta_ns to 11250 nsec
[ 36.873907] hrtimer: interrupt took 2916 ns
[ 36.963024] wlan0: authenticate with c0:3f:0e:c7:e4:ea (try 1)
[ 36.965746] wlan0: authenticated
[ 36.965828] wlan0: associate with c0:3f:0e:c7:e4:ea (try 1)
[ 36.969780] wlan0: RX AssocResp from c0:3f:0e:c7:e4:ea (capab=0x411 status=0 aid=3)
[ 36.969787] wlan0: associated
[ 36.973127] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 37.000431] Intel AES-NI instructions are not detected.
[ 37.075364] padlock_aes: VIA PadLock not detected.
[ 40.089806] input: VGP-BMS55 as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.6/1-1.6:1.0/bluetooth/hci0/hci0:11/input9
[ 40.089938] generic-bluetooth 0005:0A5C:0001.0001: input,hidraw0: BLUETOOTH HID v2.45 Mouse [VGP-BMS55] on 50:63:13:A4:2E:A3
[ 47.284175] wlan0: no IPv6 routers present
[ 48.462965] CE: hpet2 increased min_delta_ns to 7500 nsec
[ 48.463037] CE: hpet2 increased min_delta_ns to 11250 nsec
[ 49.661859] iwlagn 0000:02:00.0: iwlagn_tx_agg_start on ra = c0:3f:0e:c7:e4:ea tid = 0
[ 95.945098] CE: hpet6 increased min_delta_ns to 7500 nsec
[ 95.945111] CE: hpet6 increased min_delta_ns to 11250 nsec
[ 589.707273] CE: hpet4 increased min_delta_ns to 7500 nsec
[ 589.707283] CE: hpet4 increased min_delta_ns to 11250 nsec
[ 600.608951] CE: hpet increased min_delta_ns to 20113 nsec
[ 2073.837838] CE: hpet5 increased min_delta_ns to 7500 nsec
[ 2073.837849] CE: hpet5 increased min_delta_ns to 11250 nsec

I'm also using a Bluetooth mouse - could this be causing problems?

Good question Scott,
since they both use 2.4GHz, it might cause additional problems, since the
connection might already be unstable by itself the mouse might aggravate the
problem. I don't have any bluetooth devices around (except my own bluetooth
module in the laptop) and I don't experience connection loss or anything
like it.

Pedro Nariyoshi

Scott Deagan (scott-deagan) wrote :

I'll purchase a wired mouse and will see how that goes. I'm also going to purchase a different Mini PCI Wifi module. I'll post back here with the results.

Scott Deagan (scott-deagan) wrote :

Turning off Bluetooth and using a wired mouse didn't resolve my problem. Internet (downloads and video streams) keep dropping out (freezing) intermittently.

Download full text (4.0 KiB)

So it seems like 6200 has bigger problems than 4965.

Have you tried the latest microcode? (although I assume natty is already
using them).
How about compat-wireless?

If you disable 802.11n, does it solve your problem? (As in a workaround, not
a real fix)

Pedro Nariyoshi

On Wed, May 11, 2011 at 3:38 PM, Scott Deagan <email address hidden>wrote:

> Turning off Bluetooth and using a wired mouse didn't resolve my problem.
> Internet (downloads and video streams) keep dropping out (freezing)
> intermittently.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/630748
>
> Title:
> iwlagn degrades quickly during normal wifi session
>
> Status in The Linux Kernel:
> Confirmed
> Status in Release Notes for Ubuntu:
> Fix Released
> Status in “linux-firmware” package in Ubuntu:
> Won't Fix
> Status in “module-init-tools” package in Ubuntu:
> Fix Released
> Status in “linux-firmware” source package in Maverick:
> Won't Fix
> Status in “module-init-tools” source package in Maverick:
> Fix Released
> Status in “linux-firmware” source package in Natty:
> Won't Fix
> Status in “module-init-tools” source package in Natty:
> Fix Released
>
> Bug description:
> I recently upgraded my lucid laptop (thinkpad X200s) to maverick. I
> found after the reboot that my wireless degrades after about 8 hours
> of ordinary use. I had 45% packet loss direct to my WAP, and this was
> easily cleared up by doing "modprobe -r iwlagn; modprobe iwlagn" as
> root.
>
> I'd not be so quick to file this except that Paul Collins told me that
> he'd seen the same behavior from upstream 2.6.35.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: linux-image-2.6.35-19-generic 2.6.35-19.28
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: nick 2188 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 47'
> Mixer name : 'Conexant CX20561 (Hermosa)'
> Components : 'HDA:14f15051,17aa20ff,00100000'
> Controls : 14
> Simple ctrls : 7
> Card29.Amixer.info:
> Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30,
> fw 7XHT22WW-1.04'
> Mixer name : 'ThinkPad EC 7XHT22WW-1.04'
> Components : ''
> Controls : 1
> Simple ctrls : 1
> Card29.Amixer.values:
> Simple mixer control 'Console',0
> Capabilities: pswitch pswitch-joined penum
> Playback channels: Mono
> Mono: Playback [on]
> Date: Sun Sep 5 11:24:24 2010
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=093be503-d248-45fa-a7fe-77cdd35c0f5a
> MachineType: LENOVO 7465CTO
> ProcCmdLine: root=UUID...

Read more...

Scott Deagan (scott-deagan) wrote :

Hi Pedro. I have tried disabling 802.11n both in Natty and on my router, but the problem persists. In my /lib/firmware I have iwlwifi-6000-4.ucode (I'm assuming this is the latest, couldn't find anything more recent).

I'm not sure what "compat-wireless" is or how to use it, but you look it up immediately after this post.

I have also ordered an Intel Ultimate N WiFi Link 5300 Network adapter. I'm just not sure if this adapter comes with Bluetooth. I was looking for an older 802.11g network/bluetooth combo but they're surprisingly difficult to find here (UK). A USB dongle is out of the question in my case as my laptop only has 2 USB ports on the right-hand side which is also where I use my mouse.

Changed in linux:
status: Confirmed → Fix Released
Download full text (4.9 KiB)

compat-wireless is a package of drivers from the latest kernels, but you can
compile them for older kernels.
You can get them here: http://wireless.kernel.org/en/users/Download

<http://wireless.kernel.org/en/users/Download>I thought of disabling n on
your module by creating a file in /etc/modprobe.d/ (something
like /etc/modprobe.d/inteldisablen.conf
and including: options iwlagn 11n_disable50=1 11n_disable=1

after that try:
sudo rmmod iwlagn
sudo modprobe iwlagn

Unfortunately, I believe 5300 will also have the same problems ):

Pedro Nariyoshi

On Thu, May 12, 2011 at 9:18 AM, Scott Deagan <email address hidden>wrote:

> Hi Pedro. I have tried disabling 802.11n both in Natty and on my router,
> but the problem persists. In my /lib/firmware I have
> iwlwifi-6000-4.ucode (I'm assuming this is the latest, couldn't find
> anything more recent).
>
> I'm not sure what "compat-wireless" is or how to use it, but you look it
> up immediately after this post.
>
> I have also ordered an Intel Ultimate N WiFi Link 5300 Network adapter.
> I'm just not sure if this adapter comes with Bluetooth. I was looking
> for an older 802.11g network/bluetooth combo but they're surprisingly
> difficult to find here (UK). A USB dongle is out of the question in my
> case as my laptop only has 2 USB ports on the right-hand side which is
> also where I use my mouse.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/630748
>
> Title:
> iwlagn degrades quickly during normal wifi session
>
> Status in The Linux Kernel:
> Confirmed
> Status in Release Notes for Ubuntu:
> Fix Released
> Status in “linux-firmware” package in Ubuntu:
> Won't Fix
> Status in “module-init-tools” package in Ubuntu:
> Fix Released
> Status in “linux-firmware” source package in Maverick:
> Won't Fix
> Status in “module-init-tools” source package in Maverick:
> Fix Released
> Status in “linux-firmware” source package in Natty:
> Won't Fix
> Status in “module-init-tools” source package in Natty:
> Fix Released
>
> Bug description:
> I recently upgraded my lucid laptop (thinkpad X200s) to maverick. I
> found after the reboot that my wireless degrades after about 8 hours
> of ordinary use. I had 45% packet loss direct to my WAP, and this was
> easily cleared up by doing "modprobe -r iwlagn; modprobe iwlagn" as
> root.
>
> I'd not be so quick to file this except that Paul Collins told me that
> he'd seen the same behavior from upstream 2.6.35.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: linux-image-2.6.35-19-generic 2.6.35-19.28
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: nick 2188 F.... pulseaudio
> CRDA: Error:...

Read more...

Ubik (ubik-pl) wrote :

Hello,

I have Intel Corporation Ultimate N WiFi Link 5300. Ubuntu 11.04 - the Natty Narwhal
2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux.

I have experimented lately with hostapd(mode n). Wifi is unstable in this mode(as mentioned above). Without 802.11n link is stable.

Pieter (diepes) wrote :

Ubuntu 11.04
44:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)

Re-configuring my AP today, after my wifi 802.11n has been stable lately i suddenly experienced problems, with connection loss.

The change that made the difference was on my AP.

1. Broken: with only 802.11n on ap allowed.

2. Fixed: with 802.11bgn on ap allowed.

I connect at N rates 135meg+, but it seems the ap need to support bg for the link to be stable to linux.

Download full text (4.6 KiB)

Are you sure? I can connect, and it's quite stable, the problem happens
after some hours.

What does "dmesg" output (after some minutes of connection)?

I've tried iwl4965 with 2.6.39, but it's very unstable ):, I'm sticking with
2.6.38 for now (even though it's not perfect either)

Pedro Nariyoshi

On Fri, Jun 17, 2011 at 5:58 PM, Pieter <email address hidden> wrote:

> Ubuntu 11.04
> 44:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev
> 35)
>
> Re-configuring my AP today, after my wifi 802.11n has been stable lately
> i suddenly experienced problems, with connection loss.
>
> The change that made the difference was on my AP.
>
> 1. Broken: with only 802.11n on ap allowed.
>
> 2. Fixed: with 802.11bgn on ap allowed.
>
> I connect at N rates 135meg+, but it seems the ap need to support bg for
> the link to be stable to linux.
>
> ** Attachment added: "script to log wifi performance"
>
> https://bugs.launchpad.net/ubuntu/+source/linux-firmware/+bug/630748/+attachment/2173448/+files/pesWifiLogSpeed.sh
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/630748
>
> Title:
> iwlagn degrades quickly during normal wifi session
>
> Status in The Linux Kernel:
> Fix Released
> Status in Release Notes for Ubuntu:
> Fix Released
> Status in “linux-firmware” package in Ubuntu:
> Won't Fix
> Status in “module-init-tools” package in Ubuntu:
> Fix Released
> Status in “linux-firmware” source package in Maverick:
> Won't Fix
> Status in “module-init-tools” source package in Maverick:
> Fix Released
> Status in “linux-firmware” source package in Natty:
> Won't Fix
> Status in “module-init-tools” source package in Natty:
> Fix Released
>
> Bug description:
> I recently upgraded my lucid laptop (thinkpad X200s) to maverick. I
> found after the reboot that my wireless degrades after about 8 hours
> of ordinary use. I had 45% packet loss direct to my WAP, and this was
> easily cleared up by doing "modprobe -r iwlagn; modprobe iwlagn" as
> root.
>
> I'd not be so quick to file this except that Paul Collins told me that
> he'd seen the same behavior from upstream 2.6.35.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: linux-image-2.6.35-19-generic 2.6.35-19.28
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: nick 2188 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 47'
> Mixer name : 'Conexant CX20561 (Hermosa)'
> Components : 'HDA:14f15051,17aa20ff,00100000'
> Controls : 14
> Simple ctrls : 7
> Card29.Amixer.info:
> Card hw:29 'ThinkPadEC'/'Thin...

Read more...

Peter Antoniac (pan1nx) wrote :

I have tried all the options in the hope to get the speed stable. The performance degrades slower if/when I had the:
options iwlagn swcrypto=1 ack_check=1

But to have it stable, I still use the 11n_disable=1

This issue we could celebrate it for the 3nd year. At least I never seen the 11n working properly since 09.04.

Or, maybe I am missing something... I have: 02:00.0 Network controller: Intel Corporation WiFi Link 5100

---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

How does swcrypto affect performance?
My module (now known as iwl4965) does not have the ack_check parameter.
Does anybody know if the Windows driver is affected by this problem?

Jan Gutter (ubuntu-jangutter) wrote :

Gotta love the enterprise polish Ubuntu brings to Linux!

At http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2214 it seems that the bug has been fixed lately (for some people at least) by the guys at Intel. As with the severe power usage regression, Ubuntu seems to be unable or unwilling to do anything except package other people's software when the problem is anything except a marketing issue...

Since the bug has been marked as fixed (by the equivalent of disabling the high-end features of the device), I doubt we'll see any real resolution. Oh well...

Hello Jan,

probably both (unwilling and unable), but I don't think it is Ubuntu's purpose to fix these problems. It all goes back to how much does Canonical contributes to the Kernel, Ubuntu is supposed to give users a good user experience in terms of ease and quality or packaging, I love Debian, but Ubuntu is always more cutting edge.

I'm not blaming the Intel guys, but this problem should be fixed by the iwlagn dev guys. Once it gets fixed, it will get incorporated into Ubuntu (or rather into the Linux kernel distributed by Ubuntu).

By the way, what do you mean by regression? You mean the 2.6.37-2.6.38 (aka pci-aspm power regression) or the iwlagn power savings feature? The power saving feature never worked for me (I've had this laptop since 10.4)

Hi!

Have issues with my 5300 card, and i made some testing.

wireless n is unstable if you add ap_scan=1 or scan_ssid=1 in wpa_supplicant.conf
if i set them to 0 and add my network into wpa_supplicant.conf it connects at 300mbit/s if i do som bwtesting i get good n performance! as soon as i enable one of these settings, the tx bitrates starts jumping up and down...
if i enable debugging i wpa_supplicant i can see that it goes down to 1mbit everytime a "CTRL-EVENT-SCAN-RESULTS" is made.

iw wlan0 link
tx bitrate: 1 Mbit/s - when scanning (jumping up and down)
tx bitrate: 300 Mbit/s - when scanning is disabled.

dont't know if it help you to figure out the problem
i still get some Tx excessive retries: and Invalid misc: but the performance is better!

/Mikael

Download full text (4.7 KiB)

Hey Mikael,
With this flag on, does the card still scan available networks or you have
to manually set them up? Seems like you found a better workaround than the
one I was using (disabling 802.11n altogether).

Pedro Nariyoshi

On Wed, Oct 10, 2012 at 4:35 AM, Mikael Broström
<email address hidden>wrote:

> Hi!
>
> Have issues with my 5300 card, and i made some testing.
>
> wireless n is unstable if you add ap_scan=1 or scan_ssid=1 in
> wpa_supplicant.conf
> if i set them to 0 and add my network into wpa_supplicant.conf it connects
> at 300mbit/s if i do som bwtesting i get good n performance! as soon as i
> enable one of these settings, the tx bitrates starts jumping up and down...
> if i enable debugging i wpa_supplicant i can see that it goes down to
> 1mbit everytime a "CTRL-EVENT-SCAN-RESULTS" is made.
>
> iw wlan0 link
> tx bitrate: 1 Mbit/s - when scanning (jumping up and down)
> tx bitrate: 300 Mbit/s - when scanning is disabled.
>
> dont't know if it help you to figure out the problem
> i still get some Tx excessive retries: and Invalid misc: but the
> performance is better!
>
> /Mikael
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/630748
>
> Title:
> iwlagn degrades quickly during normal wifi session
>
> Status in The Linux Kernel:
> Fix Released
> Status in Release Notes for Ubuntu:
> Fix Released
> Status in “linux-firmware” package in Ubuntu:
> Won't Fix
> Status in “module-init-tools” package in Ubuntu:
> Fix Released
> Status in “linux-firmware” source package in Maverick:
> Won't Fix
> Status in “module-init-tools” source package in Maverick:
> Fix Released
> Status in “linux-firmware” source package in Natty:
> Won't Fix
> Status in “module-init-tools” source package in Natty:
> Fix Released
>
> Bug description:
> I recently upgraded my lucid laptop (thinkpad X200s) to maverick. I
> found after the reboot that my wireless degrades after about 8 hours
> of ordinary use. I had 45% packet loss direct to my WAP, and this was
> easily cleared up by doing "modprobe -r iwlagn; modprobe iwlagn" as
> root.
>
> I'd not be so quick to file this except that Paul Collins told me that
> he'd seen the same behavior from upstream 2.6.35.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: linux-image-2.6.35-19-generic 2.6.35-19.28
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: nick 2188 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 47'
> Mixer name : 'Conexant CX20561 (Hermosa)'
> Components : 'HDA:14f15051,17aa20ff,001...

Read more...

Displaying first 40 and last 40 comments. View all 112 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.